ITfUIElementMgrVtbl Struct Reference

`#include <SDL_msctf.h>`

Collaboration diagram for ITfUIElementMgrVtbl:
[legend]

## Public Member Functions

| HRESULT (STDMETHODCALLTYPE *QueryInterface)(ITfUIElementMgr *
void ** | ULONG (STDMETHODCALLTYPE *AddRef)(ITfUIElementMgr *)
| ULONG (STDMETHODCALLTYPE *Release)(ITfUIElementMgr *)
| HRESULT (STDMETHODCALLTYPE *BeginUIElement)(ITfUIElementMgr *
ITfUIElement BOOL DWORD * | HRESULT (STDMETHODCALLTYPE *UpdateUIElement)(ITfUIElementMgr *
| HRESULT (STDMETHODCALLTYPE *EndUIElement)(ITfUIElementMgr *
| HRESULT (STDMETHODCALLTYPE *GetUIElement)(ITfUIElementMgr *
ITfUIElement ** | HRESULT (STDMETHODCALLTYPE *EnumUIElements)(ITfUIElementMgr *

## Data Fields

| REFIID
ITfUIElement BOOL DWORD | DWORD
| DWORD

## Detailed Description

Definition at line 135 of file SDL_msctf.h.

## Member Function Documentation

## HRESULT() [1/6]

ITfUIElementMgrVtbl::HRESULT | ( | STDMETHODCALLTYPE * | BeginUIElement | ) |

## HRESULT() [2/6]

ITfUIElementMgrVtbl::HRESULT | ( | STDMETHODCALLTYPE * | EndUIElement | ) |

## HRESULT() [3/6]

ITfUIElement** ITfUIElementMgrVtbl::HRESULT | ( | STDMETHODCALLTYPE * | EnumUIElements | ) |

## HRESULT() [4/6]

ITfUIElementMgrVtbl::HRESULT | ( | STDMETHODCALLTYPE * | GetUIElement | ) |

## HRESULT() [5/6]

ITfUIElementMgrVtbl::HRESULT | ( | STDMETHODCALLTYPE * | QueryInterface | ) |

## HRESULT() [6/6]

ITfUIElement BOOL DWORD* ITfUIElementMgrVtbl::HRESULT | ( | STDMETHODCALLTYPE * | UpdateUIElement | ) |

## ULONG() [1/2]

void** ITfUIElementMgrVtbl::ULONG | ( | STDMETHODCALLTYPE * | AddRef | ) |

## ULONG() [2/2]

ITfUIElementMgrVtbl::ULONG | ( | STDMETHODCALLTYPE * | Release | ) |

## Field Documentation

## DWORD [1/2]

ITfUIElement BOOL DWORD ITfUIElementMgrVtbl::DWORD

Definition at line 141 of file SDL_msctf.h.

## DWORD [2/2]

ITfUIElementMgrVtbl::DWORD

Definition at line 142 of file SDL_msctf.h.

## REFIID

ITfUIElementMgrVtbl::REFIID

Definition at line 137 of file SDL_msctf.h.

The documentation for this struct was generated from the following file:

- src/video/windows/SDL_msctf.h